
#if 0%{?fedora} > 21
%define plasma5 1
#endif

Name:    simon
Summary: Speech recognition
Version: 0.4.1
Release: 17%{?dist}

License: GPLv2+
URL:     http://www.simon-listens.org/
Source0: http://download.kde.org/stable/simon/%{version}/src/simon-%{version}.tar.bz2
# default simonmodelcompilationrc with the correct sphinxtrain executable paths
Source1: simonmodelcompilationrc

## upstreamable patches
# support LIB_SUFFIX, don't hard-code <prefix>/lib libdir
Patch50: simon-0.4.0-LIB_SUFFIX.patch
# fix/avoid unversioned shared library libeventsimulation
Patch51: simon-0.4.0-libeventsimulation_soname.patch
# don't pass absolute path to KConfig so global simonmodelcompilationrc is found
Patch52: simon-0.4.0-speechmodelcompilation-kconfig.patch
# fix header references to be opencv3-compatible
Patch53: simon-0.4.1-opencv3_headers.patch
# fix code that does not allow bailing out of a user modification
Patch54: simon-0.4.1-modifyuser.patch

## upstream patches
Patch1: 0003-Removing-cast-to-qreal-for-no-reason.patch
Patch2: 0035-Disable-Plasma-integration-outside-of-Linux.patch
Patch3: 0112-omit-unused-reference-to-QWebView-header.patch
# this *may* help opencv3-compat too, but we currently don't use the bundled FindOpenCV.cmake
# see also patch 53 above -- rex
Patch4: 0113-Adding-OpenCV-include-directories-to-include-path.patch

BuildRequires: bison
BuildRequires: desktop-file-utils
BuildRequires: flex flex-static
BuildRequires: gcc-c++
BuildRequires: gettext
BuildRequires: kdelibs4-devel
BuildRequires: kdepimlibs-devel
BuildRequires: opencv-devel
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(sphinxbase)
BuildRequires: pkgconfig(pocketsphinx)
BuildRequires: pkgconfig(qwt) >= 6
BuildRequires: pkgconfig(samplerate)
BuildRequires: qaccessibilityclient-devel

# Simon needs binaries from these packages, only -libs autorequired
Requires: sphinxbase pocketsphinx
%if 0%{?fedora} > 17
# Unfortunately, sphinxtrain is not available on Fedora 17
Requires: sphinxtrain
%endif

Requires: %{name}-libs%{?_isa} = %{version}-%{release}

%description
Simon is an open-source speech recognition program and replaces the mouse
and keyboard.  It is designed to be very flexible and allows customization
for any application where speech recognition is needed.  It is in development
for physically disabled people and seniors to give them the possibility to
chat, to write e-mails, to surf the internet, to do internet-banking and much
more.

%package devel
Summary: Development files for %{name} 
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
%description devel
%{summary}.

%package libs
Summary: Runtime libraries for %{name}
Requires: %{name} = %{version}-%{release}
%description libs
%{summary}.

%package doc
Summary: Application handbook documentation for %{name}
License: GFDL
BuildArch: noarch
%description doc
%{summary}.


%prep
%setup -q

%patch1 -p1 -b .0003
%patch2 -p1 -b .0035
%patch3 -p1 -b .0112
%patch4 -p1 -b .0113


%patch50 -p1 -b .LIB_SUFFIX
%patch51 -p1 -b .libeventsimulation_soname
%patch52 -p1 -b .speechmodelcompilation-kconfig
%patch53 -p1 -b .opencv_headers
%patch54 -p1 -b .modifyuser

# drop broken FindOpenCV.cmake
rm -fv cmake/FindOpenCV.cmake


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} .. \
  %{?plasma5:-DUSE_PLASMA:BOOL=OFF}
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name}-doc --with-kde --all-name --without-mo
%find_lang %{name} --all-name

## unpackaged files
rm -fv %{buildroot}%{_kde4_appsdir}/simon.log

install -p -D -m 644 %{SOURCE1} \
  %{buildroot}%{_kde4_configdir}/simonmodelcompilationrc


%check
for f in %{buildroot}%{_kde4_datadir}/applications/kde4/*.desktop ; do
  desktop-file-validate $f
done

%files  -f %{name}.lang
%doc COPYING COPYING.LIB
%{_kde4_bindir}/afaras
%{_kde4_bindir}/ksimond
%{_kde4_bindir}/sam
%{_kde4_bindir}/simon
%{_kde4_bindir}/simond
%{_kde4_bindir}/ssc
%{_kde4_bindir}/sscd
%{_kde4_libdir}/kde4/*.so
%{_kde4_datadir}/applications/kde4/*.desktop
%{_kde4_datadir}/autostart/ksimond_autostart.desktop
%{_kde4_datadir}/autostart/simon_autostart.desktop
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_appsdir}/*.rc
%{_kde4_appsdir}/*.xml
%{_kde4_appsdir}/ai/
%{_kde4_appsdir}/sam/
%{_kde4_appsdir}/simon/
%{_kde4_appsdir}/ssc/
%{_kde4_appsdir}/simoninfo/
%{_kde4_appsdir}/simond/
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/servicetypes/*.desktop
%{_kde4_configdir}.kcfg/*.kcfg
%{_kde4_configdir}/*.knsrc
%{_kde4_configdir}/simonmodelcompilationrc
%{_kde4_datadir}/sscd/

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kde4_libdir}/lib*.so.*

%files devel
%{_kde4_libdir}/lib*.so
%{_kde4_includedir}/simon/
%{_kde4_includedir}/simond/
%{_kde4_includedir}/ssc/

%files doc -f %{name}-doc.lang
%doc COPYING.DOC


%changelog
* Mon Mar 05 2018 Adam Williamson <awilliam@redhat.com> - 0.4.1-17
- Rebuild for opencv soname bump

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.1-15
- Remove obsolete scriptlets

* Sun Jan 07 2018 Sérgio Basto <sergio@serjux.com> - 0.4.1-14
- Rebuild (opencv-3.3.1)

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jul 15 2016 Jerry James <loganjerry@gmail.com> - 0.4.1-10
- rebuild (pocketsphinx-libs)
- Add modifyuser patch

* Sun May 08 2016 Rex Dieter <rdieter@fedoraproject.org> - 0.4.1-9
- rebuild (opencv)

* Mon May 02 2016 Rex Dieter <rdieter@fedoraproject.org> - 0.4.1-8
- rebuild (opencv)

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Aug 14 2015 Rex Dieter <rdieter@fedoraproject.org> 0.4.1-6
- includes of opencv headers should contain "opencv/" (#1236596)

* Mon Jul 06 2015 Rex Dieter <rdieter@fedoraproject.org> 0.4.1-5
- simon FTBFS (#1240006), USE_PLASMA=off on f22+

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 10 2013 Rex Dieter <rdieter@fedoraproject.org> 0.4.1-1
- simon-0.4.1

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 24 2013 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.4.0-6
- Requires: sphinxbase pocketsphinx (only -libs autorequired)
- Requires: sphinxtrain (F18+)
- don't pass absolute path to KConfig so global simonmodelcompilationrc is found
- ship a default simonmodelcompilationrc with the correct executable paths

* Sun Mar 17 2013 Rex Dieter <rdieter@fedoraproject.org> 0.4.0-5
- repacked tarball minus nonfree default.jconf
- fix unversioned libeventsimulation
- -doc: License: GFDL

* Sun Mar 17 2013 Rex Dieter <rdieter@fedoraproject.org> 0.4.0-4
- add icon scriptlets
- omit default.jconf,simon.log
- %%doc LICENCE.txt
- -doc subpkg
- document LIB_SUFFIX patch
- move libeventsimulation.so to -libs

* Fri Mar 15 2013 Rex Dieter <rdieter@fedoraproject.org> 0.4.0-3 
- update summary/description

* Fri Mar 15 2013 Rex Dieter <rdieter@fedoraproject.org> 0.4.0-2 
- BR: pkgconfig(alsa)

* Sat Feb 02 2013 Rex Dieter <rdieter@fedoraproject.org> 0.4.0-1 
- 0.4.0
- adapt for fedora

* Mon Apr 02 2012 Huaren Zhong <huaren.zhong@gmail.com> - 0.3.0
- Rebuild for Fedora
* Wed Sep 15 2010 grasch@simon-listens.org
- Beginning to work on fedora package
* Sun Sep 12 2010 grasch@simon-listens.org
- New source tarball
* Sun Sep 12 2010 grasch@simon-listens.org
- Really fixing changelog :)
* Sun Sep 12 2010 grasch@simon-listens.org
- Fixing changelog
* Sun Sep 12 2010 grasch@simon-listens.org
- Updating dependencies
* Sat Sep 11 2010 grasch@simon-listens.org
- Fixing some RPMLint problems
* Sat Sep 11 2010 grasch@simon-listens.org
- Prefixing full path of suse_update_desktop_file with build root
* Sat Sep 11 2010 grasch@simon-listens.org
- Ading full path to suse_update_desktop_file
* Sat Sep 11 2010 grasch@simon-listens.org
- Calling suse_update_desktop_file
* Sat Sep 11 2010 grasch@simon-listens.org
- Excluding doc from the -lang package
* Sat Sep 11 2010 grasch@simon-listens.org
- Adding sscd.lang to account for the translated manual
* Sat Sep 11 2010 grasch@simon-listens.org
- Fixing doc package
* Sat Sep 11 2010 grasch@simon-listens.org
- Splitting doc package
- Minor fixes
* Sat Sep 11 2010 grasch@simon-listens.org
- Changing group of devel category
* Sat Sep 11 2010 grasch@simon-listens.org
- A bit of cleanup
* Sat Sep 11 2010 grasch@simon-listens.org
- Updating packaged files
* Sat Sep 11 2010 grasch@simon-listens.org
- Updating patch for simon 0.3.0
* Sat Sep 11 2010 grasch@simon-listens.org
- Build for simon 0.3.0
- Adding mysql_create_script.sql
* Thu Jun 24 2010 grasch@simon-listens.org
- Adding hicolor/192x192{,/apps} and /usr/share/sscd to package files
* Mon Jun 21 2010 grasch@simon-listens.org
- Uploading new source fixing two critical bugs (relating to sound playback and training on windows)
* Wed Jun 16 2010 grasch@simon-listens.org
- Adding sscd.conf to package
* Wed Jun 16 2010 grasch@simon-listens.org
- Build for alpha 2
* Fri May 28 2010 alinm.elena@gmail.com
- initial build with the help of rwooninck

